*cd "C:\Users\gschwend-hiwi.GESS\Desktop\kandidatenstudie"
use "gles1103_recode", clear
set more off

*  drop missing observations on dependent variable
* also voters for other candidates and non-voters
fre erst if vorwahl 

drop if erst>5

*drop nachwahl observations
drop if vorwahl==0
fre erst

*** Partisans vs nopartisan
gen partisan = (PID<=5)
label var partisan "with party identification"

label define partisan 1 "with PID" 0 "w/t PID"
label values partisan partisan



gen id=_n

/*      1 CDU/CSU 
        2 SPD     
        3 B90     
        4 FDP     
        5 Linke   
*/

* replace N with number of outcomes on dependent variable (3,4,etc.)
expand 5
bysort id: gen type = _n
gen bvote = (erst==type)
gen pid = (PID==type)
gen spid = .
gen inf = 0
gen per = .
gen pla = 0
gen www = 0
gen kon = 0
gen email = 0
gen kan = 0 
gen B4  = .
gen B5  = .
gen sumb7  = .
gen sumb8  = .
gen sum8  = .
gen B6  = .
gen time  = .
gen team  = .
gen pteam  = .
gen B11 = .
gen B12 = .
gen eigenbudget = .
gen eigenbudgetp = .
gen B10 = .
gen ID  = .
gen cparty = .
gen diff = .
gen dif2 = .
gen rdiff = . 
gen mar = .
gen wknummax = .
gen effdi = .
gen cbund = .
gen cland = .
gen visit = .
gen skalo = .
gen mdb = .

forvalues i = 1(1)5 {
replace inf = 1 if info`i'==1 &  type==`i'
replace pla = 1 if plak`i'==1 &  type==`i'
replace www = 1 if  www`i'==1 &  type==`i'
replace kon = 1 if  kon`i'==1 &  type==`i'
replace email = 1 if  email`i'==1 &  type==`i'
replace kan = 1 if  kan`i'==1 &  type==`i'
replace per = pers`i'  if type==`i'
replace B6  =  B6`i'  if  type==`i'
replace B11 =  B11`i' if  type==`i'
replace B4 =  B4`i' if  type==`i'
replace B5 =  B5`i' if  type==`i'
replace B10 =  B10`i' if  type==`i'  //consultants
replace B12 =  B12`i' if  type==`i'  //share of budget from party money
replace eigenbudget =  eigenbudget`i' if  type==`i'  //budget independent from party money
replace eigenbudgetp =  eigenbudgetp`i' if  type==`i'  //budget share independent from party money
replace sumb8 =  sumb8`i' if  type==`i' //scale of local issues hervorheben
replace sum8 =  sum8`i' if  type==`i' //scale of local issues hervorheben
replace sumb7 =  sumb7`i' if  type==`i' //scale of internet campaign
replace wknummax =  wknummax`i' if  type==`i'
replace effdi =  effdi`i' if  type==`i'
replace diff =  diff`i' if  type==`i'  //absolute perceived difference of candidate:  self-candidate's party
replace rdiff =  rdiff`i' if  type==`i' //raw perceived difference of candidate:  self-candidate's party
replace dif2 =  dif2`i' if  type==`i'  //absolute squared perceived difference of candidate:  self-candidate's party
replace spid =  spid`i' if  type==`i'
replace mar =  mar`i' if  type==`i'
replace time =  time`i' if  type==`i'
replace team =  team`i' if  type==`i'
replace pteam =  pteam`i' if  type==`i'
replace ID  =  id_2`i' if  type==`i'
replace cparty  =  a1_`i' if  type==`i'
replace cbund  =  cbund`i' if  type==`i'
replace cland  =  cland`i' if  type==`i'
replace visit  =  visit`i' if  type==`i'
replace skalo  =  skalo`i' if  type==`i'
replace mdb  =  mdb`i' if  type==`i'  //Incumbent (mdb) = 1 vs challenger
}

label var effdi "effective distance (LR) of candidates from party mean in district"
label var diff "absolute perceived distance (LR) of candidate from resp. party"
label var dif2 "sq absolute distance (LR) of candidate from resp. party"
label var bvote "Behavioral Personalization"
label var kan "Cognitive Personalization"
label var per "Exposure"
*label var perpid "Exposure*PID"
*label var pbudget "Budget*PID"
label var B4 "ind. means"
label var B5 "Issues"
label var sumb8 "Local Issues (scale)"
label var sum8 "Local Issues (scale)"
label var sumb7 "Internet campaign (scale)"
label var B6 "Campaign Norm"
label var B11 "Budget"
label var B12 "Budget (party share)"
label var eigenbudget "Budget (independent of party)"
label var eigenbudgetp "Budget share (independent of party)"
label var B10 "Consultants"
label var pid "PID"
label var spid "Strength of PID"
label var know "Political Knowledge"
label var ost "East"
label var mar "Margin"
label var www "WWW"
label var email "Email/SMS"
label var inf "Information"
label var pla "Poster"
label var kon "Contact"
label var team "Size of campaign team"
label var pteam "team (Party)"
label var cbund "Coordination w/ Federal party"
label var cland "Coordination w/ state party"
label var visit "visits of party leadership"
label var wknummax "No of responding Candidates in district"
label var skalo "party prefernce"
label var mdb "incumbent vs. challenger"

label define type 1 "CDU/CSU" 2 "SPD" 3 "B90" 4 "FDP" 5 "Linke"
label values type type

label define B5 1 "Ja" 0 "Nein"
label values B5 B5

label define B4 1 "Ja" 0 "Nein"
label values B4 B4

label define inc 1 "Incumbent" 0 "Challenger"
label values mdb inc


label values cparty type


drop if ID==.

keep mdb partisan erst bvote skalo kan* visit www email inf pla kon per sum8 sumb8 sumb7 B4 B5 B6 B10 B11 B12 dif2 eigenbudget eigenbudgetp diff spid *mar ost effdi wknummax know spid_* nopid lfd type wknr ID kandidaten cduspd cparty* id_2* time team pteam cbund cland

*recode skalo from 1;11 to -5;+5

replace skalo = skalo-6

gen lmar = log(mar)
gen sqrtteam = sqrt(team)
gen sqrtB11 = sqrt(B11)

* Rdiger's Vorschlag: Interaktion Budget*exposure
gen perB11 = per*B11


* Interaction between pid and perzonlization efforts: district campaigns more important for nominal vote choices for nonpartisans than partisan
gen perspid = spid * per
gen spidB11 = spid*B11


*other interactions
gen spidB6 = spid*B6
gen spidtime = spid*time
gen spidteam = spid*team




*idiological distance ( = programatic difference from party) leads to relative more personalization for non-partsans than partsans
gen dif2spid = dif2*spid
gen diffspid = diff*spid

label var dif2spid "Left/Right X Strength of PID"



compress
save asclogit, replace



order  lfd ID wknr bvote kan per B6 B5 B11 dif2 diff spid mar ost effdi know skalo partisan
sum bvote kan per B6 sumb8 B11 eigenbudget spid ost know lfd type partisan



*******************************
** Cognitive Perzonalization **
*******************************



*********
** PVS **
*********

asclogit kan www email inf pla kon B6 sumb8 B11 eigenbudget spid, casevars(ost know) case(lfd) alternatives(type) base(1)
eststo pvskan1

asclogit kan www inf pla kon B6 sumb8 B11 eigenbudget spid, casevars(ost know) case(lfd) alternatives(type) base(1)
gen kansample = (e(sample))
eststo pvskan2

asclogit kan per B6 sumb8 B11 eigenbudget spid, casevars(ost know) case(lfd) alternatives(type) base(1)
eststo pvskan3

asclogit kan mdb per B6 sumb8 B11 eigenbudget spid, casevars(ost know) case(lfd) alternatives(type) base(1)
eststo pvskan4

#delimit ;
esttab pvskan1 pvskan2 pvskan3 using pvscog, b(%9.2f) se(%9.2f) 
 varlabels(_cons "Intercept" mdb "Incumbent" kan "Cog. Personlization" per Exposure spid "Partisanship" know "Political Knowledge" 
           ost East  B6 "Campaign Norm" B11 "Campaign Intensity" sumb8 "Campaign Content" eigenbudget "Campaign Organization")
 sfmt(%9.0f) sca("ll Log-Likelihood""N No. of voter-candidate dyads" "N_case No. of voters") label noobs
 rtf replace nonotes addnote("*  p < 0.10; ** p < 0.05; *** p < 0.01. CDU/CSU is reference category.")  star(* 0.10 ** 0.05 *** 0.01) 
;
#delimit cr

#delimit ;
esttab pvskan3 pvskan4 using pvscog1, b(%9.2f) se(%9.2f) 
 varlabels(_cons "Intercept" mdb "Incumbent" kan "Cog. Personlization" per Exposure spid "Partisanship" know "Political Knowledge" 
           ost East  B6 "Campaign Norm" B11 "Campaign Intensity" sumb8 "Campaign Content" eigenbudget "Campaign Organization")
 sfmt(%9.0f) sca("ll Log-Likelihood""N No. of voter-candidate dyads" "N_case No. of voters") label noobs
 rtf replace nonotes addnote("*  p < 0.10; ** p < 0.05; *** p < 0.01. CDU/CSU is reference category.")  star(* 0.10 ** 0.05 *** 0.01) 
;
#delimit cr


********************************
** Behavioral Perzonalization **
********************************


asclogit bvote  per B6 sumb8 B11 eigenbudget spid   kan, casevars(ost know) case(lfd) alternatives(type) base(1)
eststo bvote1

asclogit bvote  per B6 sumb8 visit eigenbudget spid kan, casevars(ost know) case(lfd) alternatives(type) base(1)
eststo bvote2

asclogit bvote  per B6 sumb8 team eigenbudget spid  kan, casevars(ost know) case(lfd) alternatives(type) base(1)
eststo bvote3

asclogit bvote  mdb per B6 sumb8 B11 eigenbudget spid   kan, casevars(ost know) case(lfd) alternatives(type) base(1)
eststo bvote4


#delimit ;
esttab bvote1 bvote2 bvote3 using beh, b(%9.2f) se(%9.2f) 
 varlabels(_cons "Intercept" kan "Cog. Personlization" per Exposure spid "Partisanship" know "Political Knowledge" 
           ost East  B6 "Campaign Norm" B11 "Campaign Intensity" sumb8 "Campaign Content" eigenbudget "Campaign Organization")
 sfmt(%9.0f) sca("ll Log-Likelihood""N No. of voter-candidate dyads" "N_case No. of voters") label noobs
 rtf replace nonotes addnote("*  p < 0.10; ** p < 0.05; *** p < 0.01. CDU/CSU is reference category.")  star(* 0.10 ** 0.05 *** 0.01) 
;
#delimit cr


*************
** Results **
*************



#delimit ;
esttab pvskan2 pvskan3  bvote1  using results, b(%9.2f) se(%9.2f) 
 varlabels(_cons "Intercept" mdb "Incumbent" kan "Cog. Personlization" per Exposure spid "Partisanship" know "Political Knowledge" 
           ost East  B6 "Campaign Norm" B11 "Campaign Intensity" sumb8 "Campaign Content" eigenbudget "Campaign Organization")
 sfmt(%9.0f) sca("ll Log-Likelihood""N No. of voter-candidate dyads" "N_case No. of voters") label noobs
 rtf replace nonotes addnote("*  p < 0.10; ** p < 0.05; *** p < 0.01. CDU/CSU is reference category.")  star(* 0.10 ** 0.05 *** 0.01) 
;
#delimit cr


#delimit ;
esttab pvskan3 pvskan4  bvote1 bvote4 using results_es, b(%9.2f) se(%9.2f) 
 varlabels(_cons "Intercept" mdb "Incumbent" kan "Cog. Personalization" per Exposure spid "Partisanship" know "Political Knowledge" 
           ost East  B6 "Campaign Norm" B11 "Campaign Intensity" sumb8 "Campaign Content" eigenbudget "Campaign Organization")
 sfmt(%9.0f) sca("ll Log-Likelihood""N No. of voter-candidate dyads" "N_case No. of voters") label noobs
 rtf replace nonotes addnote("*  p < 0.10; ** p < 0.05; *** p < 0.01. CDU/CSU is reference category.")  star(* 0.10 ** 0.05 *** 0.01) 
;
#delimit cr


*** Sample Characteristic: No of different district candidates by party
asclogit bvote  per B6 sumb8 B11 eigenbudget spid   kan, casevars(ost know) case(lfd) alternatives(type) base(1)

estat alternatives /* for table 1*/
*799 observations in 64 electoral districts based on 285 Voters & 166 candidates




egen wk = group(wknr) if e(sample)
egen voters  = group(lfd) if e(sample)
egen ccan  = group(ID) if e(sample)
egen ccan1 = group(id_21) if e(sample)
egen ccan2 = group(id_22) if e(sample)
egen ccan3 = group(id_23) if e(sample)
egen ccan4 = group(id_24) if e(sample)
egen ccan5 = group(id_25) if e(sample)

sum ccan* voters wk if e(sample)
fre per if e(sample)

* No. of candidates in total sample per voter
by lfd, sort:  gen T1 = sum(kan < .)
by lfd: replace T1 = . if _n < _N

* No. of candidates in estimation sample per voter
by lfd, sort:  gen T = sum(kan < .)
by lfd: replace T = . if _n < _N
replace T = . if e(sample)!=1
*Overview over no of voters that get dropped
tab T T1, mis

fre T wk

* Description of the candidate characteristics in estimation sample
preserve
keep if e(sample)
keep ccan B6 B11  diff cparty sumb8 eigenbudget team mdb
duplicates drop ccan, force
fre B6 B11 cparty sumb8 eigenbudget team mdb
tab eigenbudget
sum B11 eigenbudget, detail
tab B11
table cparty if e(sample), c(n B6 mean B6 median B6) format(%9.1f) center row col
table cparty if e(sample), c(n B11 mean B11 median B11) format(%9.3f) center row col
table cparty if e(sample), c(mean diff) format(%9.2f) center row col
*table cparty if e(sample), c(mean spid) format(%9.2f) center row col
*table cparty if e(sample), c(n ccan) format(%9.0f) center row col
restore


* Description of the voter characteristics in estimation sample
preserve
* No of candidates that are recalled in estimation sample per voter
by lfd, sort:  gen nkan = kan1 + kan2+ kan3+ kan4+ kan5
*candidates might be recalled but are themselves not participating in the candidate survey


*How many respondents are facing how many candidates?
egen ncan = rownonmiss(ccan1 ccan2 ccan3 ccan4 ccan5)

fre nkan ncan
fre ncan if e(sample)
fre ncan if kansample
fre nkan if e(sample)
fre nkan if kansample
keep if e(sample)
keep nkan ncan voters per spid know ost
*duplicates drop
duplicates drop voters, force
fre ncan
fre nkan
tab ncan nkan
fre per
sum per, detail
fre spid know ost
sum spid know
restore



exit


