

**** Kandidatenstudie 2009 mit GLES Vor-und Nachwahlbefragung 2009****

clear matrix
clear mata
clear
*version 9.0
set more off
*set mem 120m 
*set scrollbufsize 500000
*cd "C:\Users\gschwend-hiwi.GESS\Desktop\kandidatenstudie"
*cd "Y:\Hiwi-Folder\Hannah\Kandidaten- und Waehlerumfragedaten 2009"

*** Zunaechst den Kandidatendatensatz von Long in wide Form bringen
** In zwei Teilen:
** Teil 1) Direktkandidaten
** Teil 2) Listenkandidaten


** Teil 1)Wahlkreiskandidaten

*use "kandidatenstudie_2009.dta", clear
use "kandidatenstudie_2009strukall.dta", clear


**************************************
** descriptives of candidate sample **
**************************************

drop if wknr== . // Loeschen der ausschliesslich Listenkandidaten
drop if teilnahme==0 // keep the candidates that participated in survey from parties in BT

encode partei, gen(party)

gen partei1 = party
recode partei1 1=2 2=3 3=6 4=4 5/6=5 7=1

#delimit ;
label define partei1 
1 "spd"
2 "cdu"
3 "csu"
4 "fdp"
5 "grune" 
6 "linke";
#delimit cr
label value partei1 partei1
label var partei1 "Candidate's party"

*There are 578 candidates that participated in the survey

/*partei1 -- Candidate's party
-------------------------------------------------------------
                |      Freq.    Percent      Valid       Cum.
----------------+--------------------------------------------
Valid   1 spd   |        105      18.17      18.17      18.17
        2 cdu   |         84      14.53      14.53      32.70
        3 csu   |          9       1.56       1.56      34.26
        4 fdp   |        119      20.59      20.59      54.84
        5 grune |        141      24.39      24.39      79.24
        6 linke |        120      20.76      20.76     100.00
        Total   |        578     100.00     100.00           
-------------------------------------------------------------
*/


decode partei1, generate(partei_str)



order partei_str wknr

drop listenplatz- win_wk

* Abstand von Kandidat (self: c3) zu seiner Partei (c4_*)

/*
c4_1           [cdu]
c4_2           [csu]
c4_3           [spd]
c4_4           [grüne]
c4_5           [fdp]
c4_6           [die linke]
*/








fre c3 c4_*
recode c3 99=.


forvalues i = 1(1)7 {
         recode c4_`i' 99=.
         }
sum c3 c4_*
* 557 candidates with non-missing self-placements


* Distance of candidate from her party
gen     rdiff = c3-c4_1 if partei1==2
replace rdiff = c3-c4_2 if partei1==3
replace rdiff = c3-c4_3 if partei1==1
replace rdiff = c3-c4_4 if partei1==5
replace rdiff = c3-c4_5 if partei1==4
replace rdiff = c3-c4_6 if partei1==6

* Absolute distance of candidate from her party
gen     diff = abs(c3-c4_1) if partei1==2
replace diff = abs(c3-c4_2) if partei1==3
replace diff = abs(c3-c4_3) if partei1==1
replace diff = abs(c3-c4_4) if partei1==5
replace diff = abs(c3-c4_5) if partei1==4
replace diff = abs(c3-c4_6) if partei1==6

* 554 candidates with non-missing self- & party-placements
fre partei1 if diff!=.

* Distance of candidate from party mean 
/*partei1
1 spd             c4_1    [cdu]
2 cdu             c4_2    [csu]
3 csu             c4_3    [spd]
4 fdp             c4_4    [grüne]
5 grune           c4_5    [fdp]
6 linke           c4_6    [die linke]
*/

fre c4_1 if partei1==2 
fre c4_2 if partei1==3 
fre c4_3 if partei1==1 
fre c4_4 if partei1==5 
fre c4_5 if partei1==4 
fre c4_6 if partei1==6 


egen mcdu = mean(c4_1) if partei1==2 
egen mcsu = mean(c4_2) if partei1==3 
egen mspd = mean(c4_3) if partei1==1 
egen mb90 = mean(c4_4) if partei1==5 
egen mfdp = mean(c4_5) if partei1==4 
egen mpds = mean(c4_6) if partei1==6 
* Grne to the right of SPD!!
sum mcdu- mpds



gen     dicp = abs(c3-mcdu) if partei1==2
replace dicp = abs(c3-mcsu) if partei1==3
replace dicp = abs(c3-mspd) if partei1==1
replace dicp = abs(c3-mb90) if partei1==5
replace dicp = abs(c3-mfdp) if partei1==4
replace dicp = abs(c3-mpds) if partei1==6
label variable dicp "distance (LR) from party mean"



* effective idiological distance of candidates from their party (characteristic of electoral district)
* 558 candidates; 24 missing

gen dicp2cdu = dicp^2 if partei1==2
gen dicp2csu = dicp^2 if partei1==3
gen dicp2spd = dicp^2 if partei1==1
gen dicp2b90 = dicp^2 if partei1==5
gen dicp2fdp = dicp^2 if partei1==4
gen dicp2pds = dicp^2 if partei1==6

sort wknr
by wknr: egen dicp2cdu1 = max(dicp2cdu )
by wknr: egen dicp2csu1 = max(dicp2csu )
by wknr: egen dicp2spd1 = max(dicp2spd )
by wknr: egen dicp2b901 = max(dicp2b90 )
by wknr: egen dicp2fdp1 = max(dicp2fdp )
by wknr: egen dicp2pds1 = max(dicp2pds )

egen sumdicp = rowtotal(dicp2cdu1 dicp2csu1 dicp2fdp1 dicp2b901 dicp2pds1 dicp2spd1)
replace sumdicp =. if dicp2cdu1==. & dicp2csu1==. &  dicp2fdp1==. &  dicp2b901==. &  dicp2pds1==. &  dicp2spd1==.

by wknr: gen wknum=_n
by wknr: egen wknummax = max(wknum)
label var wknummax "No candidates responded in electoral district"
* In 86 electoral districts only one candidate responded!

gen effdi = 1/sumdicp if wknummax!=1
label var effdi "effective distance (LR) of district candidates from resp. party means"


drop mcdu mcsu mspd mb90 mfdp mpds dicp* wknum
drop partei1 party sumdicp




*B8-Scale: lokale Themen hervorgehoben (0-3)
* rescale each item to 0 (gar nicht) - 1 (stark; sehr stark); then sum up
sum b8_*
forvalues i = 1(1)5 {
*          recode b8_`i' 98/999=. 1=4 2=3 3=2 4=1 5=0
			recode b8_`i' 98/999=. 1/2=1 3/5=0
		  drop b8_`i'l
         }
sum b8_*
alpha b8_*, item
alpha b8_1 b8_3 b8_4, item
alpha b8_1 b8_2 b8_3 b8_5, item


*egen sumb8 = rowtotal(b8_1 b8_2 b8_3 b8_4 b8_5)
egen sum8 = rowtotal(b8_1 b8_2 b8_3 b8_5)
egen sumb8 = rowtotal(b8_1 b8_3 b8_4)

*B7 scale: Internet Campaign
* website ind. of party; Blog; Wal_o_Mat
sum b7_*
alpha b7_2-b7_10, item
* items 4,5,7,9 are done most infrequently
egen sumb7 = rowtotal(b7_2 b7_7 b7_10)


* Size of campaign team
replace b9_1 = . if b9_1z==1 | b9z==1 //inconsitent answers
replace b9_2 = . if b9_2z==1 | b9z==1 //inconsitent answers
recode b9_1 99=.
recode b9_2 99=.


*recode
recode b11 99=.
recode b10 1=0 2=1 99/max=.
recode b12_1 99=. 101/max=.
recode b12_2 99=. 101/max=.
recode b12_3 99=. 101/max=.

*B13: Koordination des Wahlkampf
recode b13_1 1=0 2=1 3=2 4=3 99/max=.
recode b13_2 1=0 2=1 3=2 4=3 99/max=.

* Level of campaign communication (B1; B2; B14)
recode b14 99=.

*absolute amount of budget independent of party
egen sumb12 = rowtotal(b12_1 b12_2 b12_3)

gen eigenbudgetp = (100 - b12_1) 
replace eigenbudgetp = . if sumb12!=100
gen eigenbudget = (b11*eigenbudgetp)/100

list b11 eigenbudget*

drop sumb12

* Speichern der Labels
foreach label of var id_1 - mdb rdiff diff effdi sumb7 sum8 sumb8 eigenbudget eigenbudgetp wknummax{
	local l`label' :variable label `label'
}
macro list

* Speichern der Variablennamen in einer Liste
unab varlist: _all
macro list


reshape wide id_1 - mdb rdiff diff effdi sumb7 sum8 sumb8 eigenbudget eigenbudgetp wknummax, i(wknr) j(partei_str) string


** Hinzufuegen der gespeicherten Labels. 

* Generieren der durch reshape verlorenen Variable partei_str und
* der Variable wkr_list fuer alle Parteien, damit die Schleife ueber 
* die alten Variablennamen (local varlist) funktioniert

gen partei_strcdu =.
gen wknrcdu =.
gen partei_strspd =.
gen wknrspd =.
gen partei_strcsu =.
gen wknrcsu=.
gen partei_strgrune =.
gen wknrgrune =.
gen partei_strfdp =.
gen wknrfdp =.
gen partei_strlinke =.
gen wknrlinke =.
*gen partei_strkeiner =.
*gen wknrkeiner =.


local partei "cdu csu fdp grune linke spd"

foreach old of local varlist{
	foreach p of local partei{
          label var `old'`p' "`p':`l`old''"
	}
}

* Loeschen der ueberfluessigen oben genierierten Variablen

drop partei_strcdu
drop wknrcdu
drop partei_strspd
drop wknrspd
drop partei_strcsu
drop wknrcsu
drop partei_strgrune
drop wknrgrune
drop partei_strfdp
drop wknrfdp
drop partei_strlinke
drop wknrlinke
*drop partei_strkeiner
*drop wknrkeiner

sort wknr

compress
save "daten_kandidatenstudie_wide", replace




** Merge**

clear matrix
clear
set mem 500m

use "wahlergebnisse2009.dta"

gen wknr = Nr
drop if wknr==999 // drop Landes- und Bundesergebnisse
drop if wknr== . // drop Landes- und Bundesergebnisse
drop if gehort_zu==999 // drop Landes- und Bundesergebnisse


ren gultige_Erstimmen_endgultig erst09 

gen     spd1 = 100*erst_spd/erst09
gen     cdu1 = 100*erst_cdu/erst09 
replace cdu1 = 100*erst_csu/erst09 if inrange(wknr, 213, 257)
gen     b901 = 100*erst_grune/erst09
gen     fdp1 = 100*erst_fdp/erst09
gen     pds1 = 100*erst_linke/erst09



egen max1 = rowmax(spd1 cdu1 b901 fdp1 pds1)


* recode missing to 0
local par "spd1 cdu1 b901 fdp1 pds1"
foreach v in  `par' {
			gen m`v' = max1-`v' /* Abstand zum WK-Sieger: mspd1, mcdu1,...*/
       label var m`v' "Abstand in % von `v' zum WK-Sieger"
*			recode  `v'   . = 0
                  rename `v' x`v'
	     		}


gen int seqn = _n

reshape long x, i(seqn) j(vname) string
drop if x == .
sort seqn x
forvalues i = 1(1)5 {
by seqn: gen win`i' = x[_N-(`i'-1)]
by seqn: gen str name`i'= vname[_N-(`i'-1)]
		}
reshape wide x, i(seqn) j(vname) string
drop seqn x*

* win`i' enthlt den Wert und name`i' den Namen der i.ten meist erolgreichen Partei
gen str10 order= name1 + name2 + name3 

gen str10 order2= name1 + name2

encode order2, gen(kandidaten_num)

*District margin
gen marg12 = win1-win2
gen marg13 = win1-win3



*SPD 

sort wknr

merge 1:m wknr using "daten_kandidatenstudie_wide.dta"


* In 24 WK keine Kandidaten vorhanden

tab _merge
keep if _merge==3
drop _merge
sort wknr
compress
save "kandidaten_ergebnisse.dta", replace


** Zusammenspiel der Umfragedaten mit den Kandidatenstudiedaten
clear
set more off
set mem 400m
use "gles1103_pre1_3.dta"



** Aus Teil 1)
**identifier: wahlkrs
rename wkrnr wknr
sort wknr


merge m:1 wknr using  "kandidaten_ergebnisse.dta"
*_merge: 402 Beobachtungen nur im Masterdatensatz (GLES-Umfrage: Vor- & Nachwahl), 
* 76 Beobachtungen nur im Using-Datensatz (Kandidatenstudie), 3886 in beiden Datensaetzen


keep if _merge==3
drop _merge 
sort wknr
compress
save "kandidaten_ergebnisse_waehler.dta", replace




****************************************************************************
** Wieviele WKs und Beobachtungen (Waehler) zu WK, in denen bestplatzierte **
** 				Direktkandidaten den FB zurueckgeschickt haben 			  **
****************************************************************************

egen a1union = rmax(a1csu a1cdu)

** WKs in denen SPD- und CDU- bzw. CSU-Direktkandidat sowie Waehler (GLESNR==1103) vorhanden sind
gen cduspd = (a1cdu !=. & a1spd!=. & GLESNR==1103)
tab wknr if a1cdu !=. & a1spd!=. & GLESNR==1103
tab cduspd
* 468 Beobachtungen (Waehler) in 22 WK (Vor- & Nachwahl)

tab wknr if a1csu !=. & a1spd!=. & GLESNR==1103
* 0 Beobachtungen (Waehler)  und 0 WKs




* In Nachwahl: 237 Beobachtungen (Waehler) in 22 WK
tab wknr if a1cdu !=. & a1spd!=. & Erhebung==1
tab cduspd if Erhebung==1




** Tabelle von Waehler (GLESNR==1103) in WK in den beiden meistgewaehlten Kandidaten auch den FB zurueckgeschickt haben
fre kandidaten_num

gen kandidaten = 0
replace kandidaten = 1 if a1grune !=. & a1linke !=. & kandidaten_num==1

replace kandidaten = 1 if a1union !=. & a1grune !=. & kandidaten_num==2
replace kandidaten = 1 if a1union !=. & a1fdp   !=. & kandidaten_num==3
replace kandidaten = 1 if a1union !=. & a1linke !=. & kandidaten_num==4
replace kandidaten = 1 if a1union !=. & a1spd   !=. & kandidaten_num==5

replace kandidaten = 1 if a1linke !=. & a1union !=. & kandidaten_num==6
replace kandidaten = 1 if a1linke !=. & a1spd   !=. & kandidaten_num==7

replace kandidaten = 1 if a1spd   !=. & a1union !=. & kandidaten_num==8
replace kandidaten = 1 if a1spd   !=. & a1linke !=. & kandidaten_num==9

tab wknr if kandidaten ==1 & GLESNR==1103
* 377 Beobachtungen (Waehler)
* 19 WKs

tab wknr if kandidaten ==1 & Erhebung==1
* 192 Beobachtungen (Waehler)
* 19 WKs


*********************************************
** Wahlkreischarakteristiken fr Wahlkampf **
*********************************************

*Summe der beiden (nach Stimmen) erfolgreichsten Kandidaten im Wahlkreis

* Wahlkampfnorm
recode b6cdu 11/max=.
recode b6csu 11/max=.
recode b6spd 11/max=.
recode b6linke 11/max=.

recode b6grune 11/max=.

gen normcduspd = b6cdu + b6spd  if kandidaten
gen normcdulin = b6cdu + b6linke if kandidaten
gen normcsuspd = b6csu + b6spd    if kandidaten
gen normspdlin = b6linke + b6spd  if kandidaten

gen norm = normcduspd
replace norm = normcdulin if normcdulin!=.
replace norm = normcsuspd if normcsuspd!=.
replace norm = normspdlin if normspdlin!=.

list wknr norm if kandidaten==1 & norm!=.

* Ausgaben fr Wahlkampf
 sum b11*

gen costcduspd = b11cdu + b11spd  if kandidaten
gen costcdulin = b11cdu + b11linke if kandidaten
gen costcsuspd = b11csu + b11spd    if kandidaten
gen costspdlin = b11linke + b11spd  if kandidaten

gen cost = costcduspd
replace cost = costcdulin if costcdulin!=.
replace cost = costcsuspd if costcsuspd!=.
replace cost = costspdlin if costspdlin!=.

*list wknr cost if kandidaten==1 & cost!=.
*list wknr b11* if kandidaten==1 & cost!=.

compress

save "waehler_wk_sieger_partei", replace


