

**Variablen in Bezug auf WK-Kandidaten**

* ado's needed: case2alt


*version 11.1
*clear
set more off
*cd "C:\Users\gschwend-hiwi.GESS\Desktop\kandidatenstudie"
*cd "Y:\Hiwi-Folder\Hannah\GLES1103_Pre1.3"

*use "gles1103_pre1_3.dta"
use "waehler_wk_sieger_partei", clear


gen vorwahl  = (Erhebung==1)
gen nachwahl = (Erhebung==2)

gen ost = (quelle==1)



* information about 4288 election survey respondents in 219 different electoral districts
sum lfd
egen respwk = group(wknr)
sum respwk

preserve
keep respwk vorwahl
keep if vorwahl
duplicates drop
sum respwk
gen order = _n
sort respwk order
by respwk: gen y= _n==1
sort order
replace y = sum(y)
drop order
sum y
restore


*norm (1 = Candidate; 10 = Party)
replace b6cdu = b6csu if b6cdu==.
rename b6linke b6lin
rename b6grune b6b90

recode b6cdu 11/max=.
recode b6spd 11/max=.
recode b6b90 11/max=.
recode b6fdp 11/max=. 
recode b6lin 11/max=.




/* Modus of candidacy
replace ID_1cdu = ID_1csu if ID_1cdu==.
rename ID_1linke ID_1lin
rename ID_1grune ID_1b90

ren ID_1cdu ID_11
ren ID_1spd ID_12
ren ID_1b90 ID_13
ren ID_1fdp ID_14
ren ID_1lin ID_15
*/

*Candidate ID
replace id_2cdu = id_2csu if id_2cdu==.
rename id_2linke id_2lin
rename id_2grune id_2b90

ren id_2cdu id_21
ren id_2spd id_22
ren id_2b90 id_23
ren id_2fdp id_24
ren id_2lin id_25






*Wahlthemen unabhngig von Partei hervorgehoben: b5
replace b5cdu = b5csu if b5cdu==.
rename b5linke b5lin
rename b5grune b5b90

recode b5cdu 1=0 2=1 3/max=.
recode b5spd 1=0 2=1 3/max=.
recode b5b90 1=0 2=1 3/max=.
recode b5fdp 1=0 2=1 3/max=.
recode b5lin 1=0 2=1 3/max=.

label define b5cdu 1 "Ja" 0 "Nein"
label values b5cdu b5cdu
label values b5spd b5cdu
label values b5b90 b5cdu
label values b5fdp b5cdu
label values b5lin b5cdu





*Budget
replace b11cdu = b11csu if b11cdu==.
rename b11linke b11lin
rename b11grune b11b90

*Wahlkampfmittel unabhngig von Partei produziert: b4
replace b4cdu = b4csu if b4cdu==.
rename b4linke b4lin
rename b4grune b4b90

recode b4cdu 1=0 2=1 3/max=.
recode b4spd 1=0 2=1 3/max=.
recode b4b90 1=0 2=1 3/max=.
recode b4fdp 1=0 2=1 3/max=.
recode b4lin 1=0 2=1 3/max=.

label define b4cdu 1 "Ja" 0 "Nein"
label values b4cdu b4cdu
label values b4spd b4cdu
label values b4b90 b4cdu
label values b4fdp b4cdu
label values b4lin b4cdu

tabstat b4cdu b4spd b4b90 b4fdp b4lin if vorwahl, stat(mean) f(%5.2f)



* Grsse Campaign Team: B9_1 B9_2
replace b9_1cdu = b9_1csu if b9_1cdu==.
rename b9_1linke b9_1lin
rename b9_1grune b9_1b90

replace b9_2cdu = b9_2csu if b9_2cdu==.
rename b9_2linke b9_2lin
rename b9_2grune b9_2b90




* Zeitl. Involviertheit in Wahlkampf: B1
replace b1cdu = b1csu if b1cdu==.
rename b1linke b1lin
rename b1grune b1b90


*Ziel des Wahlkampfes: 1 = mglichst viele Erststimmen
replace b15cdu = b15csu if b15cdu==.
rename b15linke b15lin
rename b15grune b15b90
recode b15cdu 4/max=.
recode b15spd 4/max=.
recode b15b90 4/max=.
recode b15fdp 4/max=. 
recode b15lin 4/max=.


gen zielcdu = (b15cdu==1) if b15cdu!=.
gen zielspd = (b15spd==1) if b15spd!=.
gen zielb90 = (b15b90==1) if b15b90!=.
gen zielfdp = (b15fdp==1) if b15fdp!=.
gen ziellin = (b15lin==1) if b15lin!=.


*Partei des Kandidaten
replace a1cdu = a1csu if a1cdu==.
recode a1cdu 3=2
rename a1linke a1lin
rename a1grune a1b90


** Antizipierter WK-Gewinner

* v266A: Wahlkreisgewinner

/*	1	Kandidat/in der CDU bzw. CSU 
	4	Kandidat/in der SPD	
	5	Kandidat/in der FDP	
	6	Kandidat/in von B90
	7	Kandidat/in der Linken	
	40	Andere/r Kandidat/in  */



recode v266A 40 =.a

label define v266A 6 "Kandidat/in von B90" .a "Andere/r Kandidat/in", modify
label values v266A v266A



** Kenntnis der Wahlkreiskandidaten: Erste Nennung - fnfte Nennung, offen


*  v170A v170B v170C v170D v170E (v170F v170G)
*	1 <KAND1>	(CDU/CSU)	
*	2 <KAND2>	(SPD)		
*	3 <KAND3>	(B90/Die Grnen)
*	4 <KAND4>	(FDP)
*	5 <KAND5>	(DIE LINKE)	



gen kan_cdu = (v170A==1 | v170B==1 |  v170C==1 |  v170D==1 |  v170E==1) if vorwahl
gen kan_spd = (v170A==2 | v170B==2 |  v170C==2 |  v170D==2 |  v170E==2) if vorwahl
gen kan_b90 = (v170A==3 | v170B==3 |  v170C==3 |  v170D==3 |  v170E==3) if vorwahl
gen kan_fdp = (v170A==4 | v170B==4 |  v170C==4 |  v170D==4 |  v170E==4) if vorwahl
gen kan_lin = (v170A==5 | v170B==5 |  v170C==5 |  v170D==5 |  v170E==5) if vorwahl

tabstat kan_*, stat(mean) f(%5.2f)
egen kan_sum =  rsum(kan_cdu kan_spd kan_b90 kan_fdp kan_lin) if vorwahl

egen kan_type = group(kan_sum)
replace kan_type = kan_type-1


******************
** Graph recall **
******************

/*

*bysort kan_type: egen kan_count=pc(kan_sum) if vorwahl, prop
bysort kan_type: egen kan_count=count(kan_sum) if vorwahl
*egen kan_total=total(kan_sum) if vorwahl
egen kan_total=sum(kan_sum!=.) if vorwahl
gen kan_perc = 100* kan_count/kan_total

fre kan_type

twoway dropline kan_perc kan_type , lpattern(shortdash) lwidth(thin) horizontal ///
		 ylabel(0(1)5, labsize(vsmall) valuelabel angle(horizontal) nogrid) yscale(outergap(20)) ytitle("No of Candidates recalled") ///
		 xlabel(0(10)50, labsize(vsmall)) xscale(titlegap(3)) xtitle("Percentage of Voters") ///
		 graphregion(color(white)) scheme(sj) saving(recall, replace)
		
capture graph export recall.png, replace
capture graph export recall.eps, replace
capture graph export recall.pdf, replace
	
*/		


** Bewertung der bekannten Wahlkreiskandidaten

* v171A: CDU/CSU
* v171B: SPD 
* v171C: Gruene
* v171D: FDP
* v171E: Linke


** Links-Rechts-Position der Wahlkreiskandidaten

* v189A: CDU/CSU
* v189B: SPD 
* v189C: Gruene
* v189D: FDP
* v189E: Linke




** Parteien- oder Kandidatenwahlkampf: Eher Partei oder eher eigene Person in den Vordergrund gestellt (fr bekannte WKKandidaten)

* v119A: CDU/CSU
* v119B: SPD 
* v119C: Gruene
* v119D: FDP
* v119E: Linke


** Internetnutzung WKK (vn457A-G)

/* Filter: CDU CSU SPD FDP GRuene Linke
 recode vn327A 40=.a
 recode vn327B 40=.
 recode vn327C 40=.a
 recode vn327D 40=.a
 recode vn327E 40=.a
 recode vn327F 40=.a
 recode vn327G 40=.a
 
 label define LABZ .a "andere Partei" 6 "B90", modify
 label value vn327A LABZ
 label value vn327B LABZ
 label value vn327C LABZ
 label value vn327D LABZ 
 label value vn327E LABZ
 label value vn327F LABZ
 label value vn327G LABZ 
 
 * Filter: Andere Parteien
 recode vn327J 40=.a
 recode vn327H 40=.a

 
 label define LABN  .a "andere Partei" 6 "B90" 16 "ODP (Oekologisch-Demokratische Partei)" 17 "FW Freie Waehler", modify
 label value vn327J LABN
 label value  vn327H  LABN
*/

/*
vn457A          byte   %8.0g       vn457A     Internetnutzung WKK: CDU/CSU
vn457B          byte   %8.0g       vn457B     Internetnutzung WKK: CDU
vn457C          byte   %8.0g       vn457C     Internetnutzung WKK: CSU
vn457D          byte   %8.0g       vn457D     Internetnutzung WKK: SPD
vn457E          byte   %8.0g       vn457E     Internetnutzung WKK: FDP
vn457F          byte   %8.0g       vn457F     Internetnutzung WKK: B90
vn457G          byte   %8.0g       vn457G     Internetnutzung WKK: Die Linke
*/

gen wwwuni = (vn457A==1)
gen wwwcdu = (vn457B==1)
gen wwwcsu = (vn457C==1)
gen wwwspd = (vn457D==1)
gen wwwb90 = (vn457E==1)
gen wwwfdp = (vn457F==1)
gen wwwlin = (vn457G==1)




gen  wwwcdu1 = (wwwuni | wwwcdu | wwwcsu)
drop wwwcdu wwwcsu wwwuni
ren  wwwcdu1 wwwcdu


 
 ** Parteiplaktakte: [Medium]-Kandidaten
 
 ** Filter 1:
 ** Parteiplaktakt: [Medium: Emails (vn346B), Info-Material (vn346C), plakate (vn346E)] 
 
 ** Filter 2:
 ** Nennung 1-x Parteien fuer Medium:  Emails (vn348A) Info-Material (vn316A) plakate (vn316A)
 
 
 **  Parteiplaktakte: [Medium]-Kandidaten
 * Emails (vn349*) 
 * vn348A-F (Parteien) und vn349A-E (1.-5. Nennung Kandidaten)

capture ren n349E vn349E


                                                                                                                                                    
gen emailuni = ( (vn348A==1 & vn349A==1) | (vn348B==1 & vn349B==1) |  (vn348C==1 & vn349C==1) |  (vn348D==1 & vn349D==1) |  (vn348E==1 & vn349E==1)  )
gen emailcdu = ( (vn348A==2 & vn349A==1) | (vn348B==2 & vn349B==1) |  (vn348C==2 & vn349C==1) |  (vn348D==2 & vn349D==1) |  (vn348E==2 & vn349E==1)  )
gen emailcsu = ( (vn348A==3 & vn349A==1) | (vn348B==3 & vn349B==1) |  (vn348C==3 & vn349C==1) |  (vn348D==3 & vn349D==1) |  (vn348E==3 & vn349E==1)  )
gen emailspd = ( (vn348A==4 & vn349A==1) | (vn348B==4 & vn349B==1) |  (vn348C==4 & vn349C==1) |  (vn348D==4 & vn349D==1) |  (vn348E==4 & vn349E==1)  )
gen emailb90 = ( (vn348A==6 & vn349A==1) | (vn348B==6 & vn349B==1) |  (vn348C==6 & vn349C==1) |  (vn348D==6 & vn349D==1) |  (vn348E==6 & vn349E==1)  )
gen emailfdp = ( (vn348A==5 & vn349A==1) | (vn348B==5 & vn349B==1) |  (vn348C==5 & vn349C==1) |  (vn348D==5 & vn349D==1) |  (vn348E==5 & vn349E==1)  )
gen emaillin = ( (vn348A==7 & vn349A==1) | (vn348B==7 & vn349B==1) |  (vn348C==7 & vn349C==1) |  (vn348D==7 & vn349D==1) |  (vn348E==7 & vn349E==1)  )




gen emailcdu1 = (emailuni | emailcdu | emailcsu)
drop emailcdu emailcsu emailuni
ren emailcdu1 emailcdu




 * Info-Material (vn351) 

gen infouni = ( (vn350A==1 & vn351A==1) | (vn350B==1 & vn351B==1) |  (vn350C==1 & vn351C==1) |  (vn350D==1 & vn351D==1) |  (vn350E==1 & n351E==1) | (vn350F==1 & n351F==1) |  (vn350G==1 & n351G==1) |  (vn350H==1 & n351H==1)  )
gen infocdu = ( (vn350A==2 & vn351A==1) | (vn350B==2 & vn351B==1) |  (vn350C==2 & vn351C==1) |  (vn350D==2 & vn351D==1) |  (vn350E==2 & n351E==1) | (vn350F==2 & n351F==1) |  (vn350G==2 & n351G==1) |  (vn350H==2 & n351H==1)  )
gen infocsu = ( (vn350A==3 & vn351A==1) | (vn350B==3 & vn351B==1) |  (vn350C==3 & vn351C==1) |  (vn350D==3 & vn351D==1) |  (vn350E==3 & n351E==1) | (vn350F==3 & n351F==1) |  (vn350G==3 & n351G==1) |  (vn350H==3 & n351H==1)  )
gen infospd = ( (vn350A==4 & vn351A==1) | (vn350B==4 & vn351B==1) |  (vn350C==4 & vn351C==1) |  (vn350D==4 & vn351D==1) |  (vn350E==4 & n351E==1) | (vn350F==4 & n351F==1) |  (vn350G==4 & n351G==1) |  (vn350H==4 & n351H==1)  )
gen infob90 = ( (vn350A==6 & vn351A==1) | (vn350B==6 & vn351B==1) |  (vn350C==6 & vn351C==1) |  (vn350D==6 & vn351D==1) |  (vn350E==6 & n351E==1) | (vn350F==6 & n351F==1) |  (vn350G==6 & n351G==1) |  (vn350H==6 & n351H==1)  )
gen infofdp = ( (vn350A==5 & vn351A==1) | (vn350B==5 & vn351B==1) |  (vn350C==5 & vn351C==1) |  (vn350D==5 & vn351D==1) |  (vn350E==5 & n351E==1) | (vn350F==5 & n351F==1) |  (vn350G==5 & n351G==1) |  (vn350H==5 & n351H==1)  )
gen infolin = ( (vn350A==7 & vn351A==1) | (vn350B==7 & vn351B==1) |  (vn350C==7 & vn351C==1) |  (vn350D==7 & vn351D==1) |  (vn350E==7 & n351E==1) | (vn350F==7 & n351F==1) |  (vn350G==7 & n351G==1) |  (vn350H==7 & n351H==1)  )



gen infocdu1 = (infouni | infocdu | infocsu)
drop infocdu infocsu infouni
ren infocdu1 infocdu



 * Plakate (vn355)
 * vn354A-J (Parteien) und vn355A-D  n355E-M (1.-13. Nennung Kandidaten)

gen plakuni = ( (vn354A==1 & vn355A==1) | (vn354B==1 & vn355B==1) |  (vn354C==1 & vn355C==1) |  (vn354D==1 & vn355D==1) |  (vn354E==1 & n355E==1) | (vn354F==1 & n355F==1) |  (vn354G==1 & n355G==1) |  (vn354H==1 & n355H==1) |  (vn354I==1 & n355I==1) |  (vn354J==1 & n355J==1) )
gen plakcdu = ( (vn354A==2 & vn355A==1) | (vn354B==2 & vn355B==1) |  (vn354C==2 & vn355C==1) |  (vn354D==2 & vn355D==1) |  (vn354E==2 & n355E==1) | (vn354F==2 & n355F==1) |  (vn354G==2 & n355G==1) |  (vn354H==2 & n355H==1) |  (vn354I==2 & n355I==1) |  (vn354J==2 & n355J==1) )
gen plakcsu = ( (vn354A==3 & vn355A==1) | (vn354B==3 & vn355B==1) |  (vn354C==3 & vn355C==1) |  (vn354D==3 & vn355D==1) |  (vn354E==3 & n355E==1) | (vn354F==3 & n355F==1) |  (vn354G==3 & n355G==1) |  (vn354H==3 & n355H==1) |  (vn354I==3 & n355I==1) |  (vn354J==3 & n355J==1) )
gen plakspd = ( (vn354A==4 & vn355A==1) | (vn354B==4 & vn355B==1) |  (vn354C==4 & vn355C==1) |  (vn354D==4 & vn355D==1) |  (vn354E==4 & n355E==1) | (vn354F==4 & n355F==1) |  (vn354G==4 & n355G==1) |  (vn354H==4 & n355H==1) |  (vn354I==4 & n355I==1) |  (vn354J==4 & n355J==1) )
gen plakb90 = ( (vn354A==6 & vn355A==1) | (vn354B==6 & vn355B==1) |  (vn354C==6 & vn355C==1) |  (vn354D==6 & vn355D==1) |  (vn354E==6 & n355E==1) | (vn354F==6 & n355F==1) |  (vn354G==6 & n355G==1) |  (vn354H==6 & n355H==1) |  (vn354I==6 & n355I==1) |  (vn354J==6 & n355J==1) )
gen plakfdp = ( (vn354A==5 & vn355A==1) | (vn354B==5 & vn355B==1) |  (vn354C==5 & vn355C==1) |  (vn354D==5 & vn355D==1) |  (vn354E==5 & n355E==1) | (vn354F==5 & n355F==1) |  (vn354G==5 & n355G==1) |  (vn354H==5 & n355H==1) |  (vn354I==5 & n355I==1) |  (vn354J==5 & n355J==1) )
gen plaklin = ( (vn354A==7 & vn355A==1) | (vn354B==7 & vn355B==1) |  (vn354C==7 & vn355C==1) |  (vn354D==7 & vn355D==1) |  (vn354E==7 & n355E==1) | (vn354F==7 & n355F==1) |  (vn354G==7 & n355G==1) |  (vn354H==7 & n355H==1) |  (vn354I==7 & n355I==1) |  (vn354J==7 & n355J==1) )



gen plakcdu1 = (plakuni | plakcdu | plakcsu)
drop plakcdu plakcsu plakuni
ren plakcdu1 plakcdu
 
 
 
 ** Wahlwerbung: Direkter Kontakt zu Wahlkreiskandidaten
 **  vn299: ja, nein
 **  vn316A - vn316G WKK-Partei erste bis siebte Nennung
 
 recode vn316A 40=.a
 label value vn316A LABN



gen konuni = ( (vn316A==1 & vn299==1) | (vn316B==1 & vn299==1) |  (vn316C==1 & vn299==1) |  (vn316D==1 & vn299==1) |  (vn316E==1 & vn299==1) | (vn316F==1 & vn299==1) |  (vn316G==1 & vn299==1)  )
gen koncdu = ( (vn316A==2 & vn299==1) | (vn316B==2 & vn299==1) |  (vn316C==2 & vn299==1) |  (vn316D==2 & vn299==1) |  (vn316E==2 & vn299==1) | (vn316F==2 & vn299==1) |  (vn316G==2 & vn299==1)  )
gen koncsu = ( (vn316A==3 & vn299==1) | (vn316B==3 & vn299==1) |  (vn316C==3 & vn299==1) |  (vn316D==3 & vn299==1) |  (vn316E==3 & vn299==1) | (vn316F==3 & vn299==1) |  (vn316G==3 & vn299==1)  )
gen konspd = ( (vn316A==4 & vn299==1) | (vn316B==4 & vn299==1) |  (vn316C==4 & vn299==1) |  (vn316D==4 & vn299==1) |  (vn316E==4 & vn299==1) | (vn316F==4 & vn299==1) |  (vn316G==4 & vn299==1)  )
gen konb90 = ( (vn316A==6 & vn299==1) | (vn316B==6 & vn299==1) |  (vn316C==6 & vn299==1) |  (vn316D==6 & vn299==1) |  (vn316E==6 & vn299==1) | (vn316F==6 & vn299==1) |  (vn316G==6 & vn299==1)  )
gen konfdp = ( (vn316A==5 & vn299==1) | (vn316B==5 & vn299==1) |  (vn316C==5 & vn299==1) |  (vn316D==5 & vn299==1) |  (vn316E==5 & vn299==1) | (vn316F==5 & vn299==1) |  (vn316G==5 & vn299==1)  )
gen konlin = ( (vn316A==7 & vn299==1) | (vn316B==7 & vn299==1) |  (vn316C==7 & vn299==1) |  (vn316D==7 & vn299==1) |  (vn316E==7 & vn299==1) | (vn316F==7 & vn299==1) |  (vn316G==7 & vn299==1)  )



gen koncdu1 = (konuni | koncdu | koncsu)
drop koncdu koncsu konuni
ren koncdu1 koncdu

preserve
keep www* email* kon* plak* info* vorwahl 

egen allwww   = rmax(www*)
egen allemail = rmax(email*)
egen allinfo  = rmax(info*)
egen allplak  = rmax(plak*)
egen allkon   = rmax(kon*)

*mind. exposure to cues from at least one candidate
tabstat all* if vorwahl, statistics(mean) columns(statistics) f(%5.3f)

tabstat *cdu *spd *b90 *fdp *lin if vorwahl, statistics(mean) columns(statistics) f(%5.3f)

tabstat *cdu if vorwahl, statistics(mean) columns(statistics) f(%5.3f)
tabstat *spd if vorwahl, statistics(mean) columns(statistics) f(%5.3f)
tabstat *b90 if vorwahl, statistics(mean) columns(statistics) f(%5.3f)
tabstat *fdp if vorwahl, statistics(mean) columns(statistics) f(%5.3f)
tabstat *lin if vorwahl, statistics(mean) columns(statistics) f(%5.3f)

/*
quietly generate x = uniform()
quietly regress x *cdu *spd *b90 *fdp *lin
estadd mean
estadd sd, nobinary
estimates store des
estout des, cells("mean" fmt(3)) stats(N) mlabels(,none) drop(_cons) style(fixed)  
*/
restore



egen perscdu = rsum(wwwcdu emailcdu koncdu plakcdu infocdu)
egen persspd = rsum(wwwspd emailspd konspd plakspd infospd)
egen persb90 = rsum(wwwb90 emailb90 konb90 plakb90 infob90)
egen persfdp = rsum(wwwfdp emailfdp konfdp plakfdp infofdp)
egen perslin = rsum(wwwlin emaillin konlin plaklin infolin)


egen persum =  rsum(perscdu persspd persb90 persfdp perslin)

fre persum
fre persum if persum>0

*table summary measure
fre pers* if vorwahl

fre  perscdu using pers.rtf if vorwahl, tab replace
fre  persspd using pers.rtf if vorwahl, tab append
fre  persb90 using pers.rtf if vorwahl, tab append
fre  persfdp using pers.rtf if vorwahl, tab append
fre  perslin using pers.rtf if vorwahl, tab append




* Unterschiede zwischen Vor- und Nachwahl
bysort Erhebung: fre plak*
 

 
 ** VORWAHL
 
 /*Briefwahl: Erststimme
 recode v435A 8=.a
 label value v435A v435A
 
 *Briefwahl: Zweitstimme
 recode v435D 28=.a
 label define v435D 23 "B90" , modify
 label value v435D v435D
*/


 *Wahlabsicht: Erststimme
 
 label define v254_1A 3 "Kandidat von B90" 8 "Anderer Kandidat", modify
 label value v254_1A v254_1A

 gen erstvw = v254_1A
 replace erstvw = v435A if erstvw==. //Briefwhler rein  
 recode erstvw 6/8 = 8
 label value erstvw v254_1A


*Wahlabsicht: Zweitstimme

label define  v254_2A .a "andere Partei" 23 "B90", modify
label value v254_2A v254_2A

 gen zweitvw = v254_2A
 replace zweitvw = v435D if zweitvw==.      //Briefwhler rein  
 recode zweitvw 21=1 22=2 23=3 24=4 25=5 26/28=8

 label define zweitvw 1 "CDU/CSU" 2 "SPD" 3 "B90" 4 "FDP" 5 "Linke" 8 "Andere Partei"
 label value zweitvw zweitvw


*Wahlabsicht: Split-Ticket
gen tsvw = (erstvw==zweitvw)
replace tsvw=. if erstvw==. | zweitvw==. | erstvw==8
recode tsvw 1=0 0=1
label define tsvw 0 "Straight-Ticket"  1 "Split-Ticket", modify
label value tsvw tsvw


** NACHWAHL


* NACHWAHL: Wahlentscheidung erststimme
/*recode  n169_1A 8=.a
label define n169_1A .a "Kandidat einer anderen Partei"  4 "Kandidat von B90", modify
label value n169_1A n169_1A

label define v254_1A 3 "Kandidat von B90" 8 "Anderer Kandidat", modify
label value v254_1A v254_1A */

gen erstnw = n169_1A
replace erstnw = 1  if n169_1B<=3 
recode erstnw 4=3 3=4 6/8 = 8  //FDP und B90 sind vertauscht im Vgl. zur Vorwahl
 label define erstnw 1 "CDU/CSU" 2 "SPD" 3 "B90" 4 "FDP" 5 "Linke" 8 "Anderer Kandidat"
 label value erstnw erstnw


 * NACHWAHL: Wahlentscheidung zweitstimme
 /*recode  n169_2A 28=.a
 label define  n169_2A 24 "B90" .a "andere Partei", modify
 label value n169_2A n169_2A
 
 recode n169_2B 40=.a
 label define n169_2A .a "andere Partei und zwar:" 17  "FW Freie Waehler" 16  "ODP (Oekologisch-Demokratische Partei)" 19 "SSW (Suedschleswigscher Waehlerverband)", modify
 label value n169_2A n169_2A */



 gen zweitnw = n169_2A
 recode zweitnw 21=1 22=2 23=3 24=4 25=5 26/28=8


 replace zweitnw = 1  if n169_2B<=3       
 recode zweitnw 4=3 3=4 6/8 = 8  //FDP und B90 sind vertauscht im Vgl. zur Vorwahl
 label define zweitnw 1 "CDU/CSU" 2 "SPD" 3 "B90" 4 "FDP" 5 "Linke" 8 "Andere Partei"
 label value zweitnw zweitnw



*Wahlentscheidung: Split-Ticket
gen tsnw = (erstnw==zweitnw)
replace tsnw=. if erstnw==. | zweitnw==. | erstnw==8
recode tsnw 1=0 0=1
label define tsnw 0 "Straight-Ticket"  1 "Split-Ticket", modify
label value tsnw tsnw

***********************
** Vor- und Nachwahl **
***********************

gen erst = erstvw
replace erst = erstnw if Erhebung==2
label value erst erstnw

gen zweit = zweitvw
replace zweit = zweitnw if Erhebung==2
label value zweit zweitnw

gen ts = tsvw
replace ts = tsnw if Erhebung==2
label value ts tsnw
 



 /* hypothetische Wahlentscheidung Erststimme
 
 recode v255_1A 8=.a
 label define v255_1A .a "Kandidat einer anderen Partei"  4 "Kandidat von Buendnis 90/Die Gruenen", modify
 label value v255_1A v255_1A
 
 recode v255_1B 40=.a
 label define v255_1B .a "Kandidat einer anderen Partei" , modify
label value v255_1B v255_1B


* hypothetische Wahlentscheidung Zweitstimme
recode v255_2A  28=.a
label define v255_2A .a "andere Partei" 23 "Buendnis 90/Die Gruenen", modify
label value v255_2A  v255_2A 

recode v255_2B 40=.a
label define v255_2B  .a "andere Partei und zwar:", modify
label value v255_2B v255_2B


 * Hypothetische Wahlentscheidung (nichtwhler) erststimme
 
 recode n255_1A 8=.a
 label define n255_1A .a "Kandidat einer anderen Partei"  4 "Kandidat von Buendnis 90/Die Gruenen", modify
 label value n255_1A n255_1A
 
 recode n255_1B 40=.a
 label define n255_1B .a "Kandidat einer anderen Partei" , modify
label value n255_1B n255_1B



* hypothetische Wahlentscheidung (nichtwhler) Zweitstimme
recode n255_2A  28=.a
label define n255_2A .a "andere Partei" 23 "Buendnis 90/Die Gruenen", modify
label value n255_2A  n255_2A 

recode n255_2B 40=.a
label define n255_2B  .a "andere Partei und zwar:", modify
label value n255_2B n255_2B
*/
 


***************************
** Voter Characteristics **
***************************


* Parteiidentifikation
gen pid = vn135A
recode pid 1/3=1 4=2 6=3 5=4 7=5 40=8 42=9
label define pid 1 "CDU/CSU" 2 "SPD" 3 "B90" 4 "FDP" 5 "Linke" 8 "Andere Partei" 9"keine"
label value pid pid

gen pid_cdu = (pid==1)
gen pid_spd = (pid==2)
gen pid_b90 = (pid==3)
gen pid_fdp = (pid==4)
gen pid_lin = (pid==5)

gen nopid = (pid==9)


* Strength of PID
gen SPID = vn136
recode SPID 1=5 2=4 3=3 4=2 5=1 .=0
label define SPID 0 "keine"  1 "sehr schwach" 2 "ziemlich schwach" 3 "mssig" 4 "ziemlich stark" 5 "sehr stark"
label value SPID SPID

* Strength of PID for particular party (1-5 und 0 sonst)
gen spid_cdu = pid_cdu* SPID
gen spid_spd = pid_spd* SPID
gen spid_b90 = pid_b90* SPID
gen spid_fdp = pid_fdp* SPID
gen spid_lin = pid_lin* SPID

fre spid_* nopid



* Desert candidate of most preferred party
gen desert = (pid==erst) 
replace desert =. if pid==. | erst==. 
replace desert =. if pid==8
recode desert 1=0 0=1
label define desert 0 "not deserted"  1 "deserted", modify
label value desert desert

*desert to a particular candidate
gen desert1 = desert
replace desert1 = erst if desert==1
recode desert1 0=6
label define desert1 6 "straight-ticket" 1 "CDU/CSU" 2 "SPD" 3 "B90" 4 "FDP" 5 "Linke" 8 "Anderer kandidat" 
label value desert1 desert1


*Ambivalence (D+R)/2 - abs(D-R)
/*
egen perscdu = rsum(wwwcdu emailcdu koncdu plakcdu infocdu)
egen persspd = rsum(wwwspd emailspd konspd plakspd infospd)
egen persb90 = rsum(wwwb90 emailb90 konb90 plakb90 infob90)
egen persfdp = rsum(wwwfdp emailfdp konfdp plakfdp infofdp)
egen perslin = rsum(wwwlin emaillin konlin plaklin infolin)


egen persum =  rsum(perscdu persspd persb90 persfdp perslin)
*/

gen persdes = persum
replace persdes = persum - perscdu if pid==1
replace persdes = persum - persspd if pid==2
replace persdes = persum - persb90 if pid==3
replace persdes = persum - persfdp if pid==4
replace persdes = persum - perslin if pid==5


gen b6des = .
replace b6des =  b6cdu if pid==1
replace b6des =  b6spd if pid==2
replace b6des =  b6b90 if pid==3
replace b6des =  b6fdp if pid==4
replace b6des =  b6lin if pid==5


/*gen vorwahl  = (Erhebung==1)
gen nachwahl = (Erhebung==2)

gen ost = (quelle==1)
*/


*politisches Wissen

gen know_1 = (vn125==2)
gen know_2 = (vn126==5)
gen know_3 = (n454A==3)

alpha know_*, item

egen  know = rsum(know*) 



gen gross = (pid<=2)

gen gross1 = gross
replace gross1 = 1 if pid==5 & ost

**************
** Analysis **
**************


* Cognitive Perzonalization     

                
replace b11cdu   = (b11cdu)/1000
replace b11spd   = (b11spd)/1000
replace b11b90   = (b11b90)/1000
replace b11fdp   = (b11fdp)/1000
replace b11lin   = (b11lin)/1000


gen b11des = .
replace b11des =  b11cdu if pid==1
replace b11des =  b11spd if pid==2
replace b11des =  b11b90 if pid==3
replace b11des =  b11fdp if pid==4
replace b11des =  b11lin if pid==5



/*
replace B11cdu   = log(B11cdu)
replace B11spd   = log(B11spd)
replace B11b90   = log(B11b90)
replace B11fdp   = log(B11fdp)
replace B11lin   = log(B11lin)
*/

/*

logit kan_cdu pid_cdu nopid  B6cdu perscdu    ost, cluster(wknr)
logit kan_spd pid_spd nopid  B6spd persspd    ost, cluster(wknr)
logit kan_b90 pid_b90 nopid  B6b90 persb90    ost, cluster(wknr)
logit kan_fdp pid_fdp nopid  B6fdp persfdp    ost, cluster(wknr)
logit kan_lin pid_lin nopid  B6lin perslin    ost, cluster(wknr)
                      
logit kan_cdu pid_cdu nopid  zielcdu perscdu    ost, cluster(wknr)
logit kan_spd pid_spd nopid  zielspd persspd    ost, cluster(wknr)
logit kan_b90 pid_b90 nopid  zielb90 persb90    ost, cluster(wknr)
logit kan_fdp pid_fdp nopid  zielfdp persfdp    ost, cluster(wknr)
logit kan_lin pid_lin nopid  ziellin perslin    ost, cluster(wknr)



logit kan_cdu pid_cdu B11cdu perscdu    ost, cluster(wknr)
eststo cpers1         
logit kan_spd pid_spd B11spd persspd    ost, cluster(wknr)
eststo cpers2         
logit kan_b90 pid_b90 B11b90 persb90    ost, cluster(wknr)
eststo cpers3         
logit kan_fdp pid_fdp B11fdp persfdp    ost, cluster(wknr)
eststo cpers4         
logit kan_lin pid_lin B11lin perslin    ost, cluster(wknr)
eststo cpers5 


esttab cpers1 cpers2 cpers3 cpers4 cpers5 using cpers,  compress b(%9.3f) se(%9.3f) nonum  rtf replace noobslast addnote("Standard errors are in parentheses and clustered by electoral district;  *  p < 0.05; ** p < 0.01 ")  star(* 0.05 ** 0.01) varlabels(_cons "Konstante") 
*/

*rename(pid_cdu PID)
*esttab, rename(altmpg mpg)



********************************
** behavioral perzonalization **
********************************


gen erstcdu = (erst==1) if erst!=.
gen erstspd = (erst==2) if erst!=.
gen erstb90 = (erst==3) if erst!=.
gen erstfdp = (erst==4) if erst!=.
gen erstlin = (erst==5) if erst!=.


/*
logit erstcdu pid_cdu  zielcdu perscdu    ost, cluster(wknr)        
logit erstspd pid_spd  zielspd persspd    ost, cluster(wknr)      
logit erstb90 pid_b90  zielb90 persb90    ost, cluster(wknr)       
logit erstfdp pid_fdp  zielfdp persfdp    ost, cluster(wknr)       
logit erstlin pid_lin  ziellin perslin    ost, cluster(wknr)

logit erstcdu pid_cdu   B11cdu perscdu    ost, cluster(wknr)        
logit erstspd pid_spd   B11spd persspd    ost, cluster(wknr)      
logit erstb90 pid_b90   B11b90 persb90    ost, cluster(wknr)       
logit erstfdp pid_fdp   B11fdp persfdp    ost, cluster(wknr)       
logit erstlin pid_lin   B11lin perslin    ost, cluster(wknr)

logit erstcdu pid_cdu   B6cdu perscdu    ost, cluster(wknr)        
logit erstspd pid_spd   B6spd persspd    ost, cluster(wknr)      
logit erstb90 pid_b90   B6b90 persb90    ost, cluster(wknr)       
logit erstfdp pid_fdp   B6fdp persfdp    ost, cluster(wknr)       
logit erstlin pid_lin   B6lin perslin    ost, cluster(wknr)


logit desert  B11cdu perscdu    ost, cluster(wknr)        
logit desert  B11spd persspd    ost, cluster(wknr)      
logit desert  B11b90 persb90    ost, cluster(wknr)       
logit desert  B11fdp persfdp    ost, cluster(wknr)       
logit desert  B11lin perslin    ost, cluster(wknr)


logit desert   zielcdu perscdu    ost, cluster(wknr)        
logit desert   zielspd persspd    ost, cluster(wknr)      
logit desert   zielb90 persb90    ost, cluster(wknr)       
logit desert   zielfdp persfdp    ost, cluster(wknr)       
logit desert   ziellin perslin    ost, cluster(wknr)
*/

***************
** Desertion **
***************

/*
logit desert   spid ost persdes B6des B11des gross, cluster(wknr)
logit desert   spid ost persdes B6des B11des gross1, cluster(wknr)

************

              
logit kan_cdu   ost pid_cdu wwwcdu  koncdu plakcdu infocdu emailcdu, cluster(wknr)
logit kan_spd   ost pid_spd wwwspd  konspd plakspd infospd emailspd, cluster(wknr)
logit kan_b90   ost pid_b90 wwwb90  konb90 plakb90 infob90 emailb90, cluster(wknr)
logit kan_fdp   ost pid_fdp wwwfdp  konfdp plakfdp infofdp emailfdp, cluster(wknr)
logit kan_lin   ost pid_lin wwwlin  konlin plaklin infolin emaillin, cluster(wknr)



                 
logit kan_cdu   ost pid_cdu wwwcdu  koncdu plakcdu infocdu , cluster(wknr)
eststo est1                                                   
logit kan_spd   ost pid_spd wwwspd  konspd plakspd infospd , cluster(wknr)
eststo est2                                                   
logit kan_b90   ost pid_b90 wwwb90  konb90 plakb90 infob90 , cluster(wknr)
eststo est3                                                   
logit kan_fdp   ost pid_fdp wwwfdp  konfdp plakfdp infofdp , cluster(wknr)
eststo est4                                                   
logit kan_lin   ost pid_lin wwwlin  konlin plaklin infolin , cluster(wknr)
eststo est5

esttab est1 est2 est3 est4 est5 using cpers, b(%9.3f) se(%9.3f) nonum label rtf replace nonotes addnote("Eintrge sind unstandardisierte Regressionskoeffizienten mit robusten Standardfehlern in Klammern; Signifikanzniveaus: *  p < 0.05; ** p < 0.01 ")  star(* 0.05 ** 0.01) varlabels(_cons "Konstante") 


logit kan_cdu pid_cdu  koncdu infocdu   ost, cluster(wknr)
logit kan_spd pid_spd  konspd infospd   ost, cluster(wknr)
logit kan_b90 pid_b90  konb90 infob90   ost, cluster(wknr)
logit kan_fdp pid_fdp  konfdp infofdp   ost, cluster(wknr)
logit kan_lin pid_lin  konlin infolin   ost, cluster(wknr)


logit kan_cdu pid_cdu  koncdu    ost, cluster(wknr)
logit kan_spd pid_spd  konspd    ost, cluster(wknr)
logit kan_b90 pid_b90  konb90    ost, cluster(wknr)
logit kan_fdp pid_fdp  konfdp    ost, cluster(wknr)
logit kan_lin pid_lin  konlin    ost, cluster(wknr)
*/

/*

logit kan_cdu pid_cdu  perscdu    ost, cluster(wknr)
eststo est10
logit kan_cdu pid_cdu  perscdu  B6cdu   ost , cluster(wknr)
eststo est11

logit kan_spd pid_spd  persspd    ost, cluster(wknr)
eststo est12
logit kan_spd pid_spd  persspd  B6spd   ost, cluster(wknr)
eststo est13


logit kan_b90 pid_b90  persb90    ost, cluster(wknr)
eststo est14
logit kan_b90 pid_b90  persb90  B6grune   ost, cluster(wknr)
eststo est15

logit kan_fdp pid_fdp  persfdp    ost, cluster(wknr)
eststo est16
logit kan_fdp pid_fdp  persfdp  B6fdp   ost, cluster(wknr)
eststo est17

logit kan_lin pid_lin  perslin    ost, cluster(wknr)
eststo est18
logit kan_lin pid_lin  perslin  B6linke   ost, cluster(wknr)
eststo est19


esttab est10 est11 using cdu, b(%9.3f) se(%9.3f) nonum label rtf replace nonotes addnote("Eintrge sind unstandardisierte Regressionskoeffizienten mit robusten Standardfehlern in Klammern; Signifikanzniveaus: *  p < 0.05; ** p < 0.01 ")  star(* 0.05 ** 0.01) varlabels(_cons "Konstante") 

esttab est12 est13 using spd, b(%9.3f) se(%9.3f) nonum label rtf replace nonotes addnote("Eintrge sind unstandardisierte Regressionskoeffizienten mit robusten Standardfehlern in Klammern; Signifikanzniveaus: *  p < 0.05; ** p < 0.01 ")  star(* 0.05 ** 0.01) varlabels(_cons "Konstante") 

esttab est14 est15 using b90, b(%9.3f) se(%9.3f) nonum label rtf replace nonotes addnote("Eintrge sind unstandardisierte Regressionskoeffizienten mit robusten Standardfehlern in Klammern; Signifikanzniveaus: *  p < 0.05; ** p < 0.01 ")  star(* 0.05 ** 0.01) varlabels(_cons "Konstante") 

esttab est16 est17 using fdp, b(%9.3f) se(%9.3f) nonum label rtf replace nonotes addnote("Eintrge sind unstandardisierte Regressionskoeffizienten mit robusten Standardfehlern in Klammern; Signifikanzniveaus: *  p < 0.05; ** p < 0.01 ")  star(* 0.05 ** 0.01) varlabels(_cons "Konstante") 

esttab est18 est19 using lin, b(%9.3f) se(%9.3f) nonum label rtf replace nonotes addnote("Eintrge sind unstandardisierte Regressionskoeffizienten mit robusten Standardfehlern in Klammern; Signifikanzniveaus: *  p < 0.05; ** p < 0.01 ")  star(* 0.05 ** 0.01) varlabels(_cons "Konstante") 


*/


*mlogit desert1 pid_* pers* ost , b(6)

bysort Erhebung: sum www* email* kon* plak* info*
bysort Erhebung: sum www* kon* plak* info*

*mlogit erst pid www* email* kon* plak* info*  if nachwahl, b(8)
*mlogit erst pid www* email* kon* plak* info*  if vorwahl, b(8)




ren pid PID

ren pid_cdu pid1
ren pid_spd pid2
ren pid_b90 pid3
ren pid_fdp pid4
ren pid_lin pid5

*Strke PID
gen spid1 = (SPID) if pid1
gen spid2 = (SPID) if pid2
gen spid3 = (SPID) if pid3
gen spid4 = (SPID) if pid4
gen spid5 = (SPID) if pid5

forvalues i = 1(1)5 {
         recode spid`i' .=0
         }



ren perscdu pers1
ren persspd pers2
ren persb90 pers3
ren persfdp pers4
ren perslin pers5

ren infocdu info1
ren infospd info2
ren infob90 info3
ren infofdp info4
ren infolin info5

ren plakcdu plak1
ren plakspd plak2
ren plakb90 plak3
ren plakfdp plak4
ren plaklin plak5

ren wwwcdu www1
ren wwwspd www2
ren wwwb90 www3
ren wwwfdp www4
ren wwwlin www5

ren emailcdu email1
ren emailspd email2
ren emailb90 email3
ren emailfdp email4
ren emaillin email5


ren koncdu kon1
ren konspd kon2
ren konb90 kon3
ren konfdp kon4
ren konlin kon5


ren kan_cdu kan1
ren kan_spd kan2
ren kan_b90 kan3
ren kan_fdp kan4
ren kan_lin kan5

********************************
** Candidate Characteristics ***
********************************

*Partei des Kandidaten
ren a1cdu a1_1
ren a1spd a1_2
ren a1b90 a1_3
ren a1fdp a1_4
ren a1lin a1_5

replace a1_1 = 1 if a1_1 !=.
replace a1_2 = 2 if a1_2 !=.
replace a1_3 = 3 if a1_3 !=.
replace a1_4 = 4 if a1_4 !=.
replace a1_5 = 5 if a1_5 !=.


label define a1_1   1 "CDU"
label value a1_1 a1_1

label define a1_2   2 "SPD"
label value a1_2 a1_2

label define a1_3   3 "B90"
label value a1_3 a1_3

label define a1_4   4 "FDP"
label value a1_4 a1_4

label define a1_5   5 "Lin"
label value a1_5 a1_5

* Wahlkampfnorm

ren b6cdu B61
ren b6spd B62
ren b6b90 B63
ren b6fdp B64
ren b6lin B65

* Wahlkampfmittel

ren b4cdu B41
ren b4spd B42
ren b4b90 B43
ren b4fdp B44
ren b4lin B45

* Wahlkampfthemen

ren b5cdu B51
ren b5spd B52
ren b5b90 B53
ren b5fdp B54
ren b5lin B55

*Prof. Wahlkampfberater beschftigt?: b10
replace b10cdu = b10csu if b10cdu==.
rename b10linke b10lin
rename b10grune b10b90

ren b10cdu B101
ren b10spd B102
ren b10b90 B103
ren b10fdp B104
ren b10lin B105


*Skalometer Parteien
*vn165A          byte   %8.0g       LABG       Skalometer Parteien: CDU
*vn165B          byte   %8.0g       LABG       Skalometer Parteien: CSU
*vn165C          byte   %8.0g       LABG       Skalometer Parteien: SPD
*vn165D          byte   %8.0g       LABG       Skalometer Parteien: FDP
*vn165E          byte   %8.0g       LABG       Skalometer Parteien: Bndnis 90/Die Grnen
*vn165F          byte   %8.0g       LABG       Skalometer Parteien: Die Linke

* In Bavaria take CSU instead of CDU
replace vn165A = vn165B if land==9

ren vn165A skalocdu
ren vn165C skalospd
ren vn165D skalob90
ren vn165E skalofdp
ren vn165F skalolin

ren skalocdu skalo1
ren skalospd skalo2
ren skalob90 skalo3
ren skalofdp skalo4
ren skalolin skalo5


*Skala Internet campaign: b7
replace sumb7cdu = sumb7csu if sumb7cdu==.
rename sumb7linke sumb7lin
rename sumb7grune sumb7b90

ren sumb7cdu sumb71
ren sumb7spd sumb72
ren sumb7b90 sumb73
ren sumb7fdp sumb74
ren sumb7lin sumb75



*Skala lokale Themen hervorgehoben: b8
replace sumb8cdu = sumb8csu if sumb8cdu==.
rename sumb8linke sumb8lin
rename sumb8grune sumb8b90

ren sumb8cdu sumb81
ren sumb8spd sumb82
ren sumb8b90 sumb83
ren sumb8fdp sumb84
ren sumb8lin sumb85


replace sum8cdu = sum8csu if sum8cdu==.
rename sum8linke sum8lin
rename sum8grune sum8b90

ren sum8cdu sum81
ren sum8spd sum82
ren sum8b90 sum83
ren sum8fdp sum84
ren sum8lin sum85

*Budget

ren b11cdu B111
ren b11spd B112
ren b11b90 B113
ren b11fdp B114
ren b11lin B115

*Party budget: b12
replace b12_1cdu = b12_1csu if b12_1cdu==.
rename b12_1linke b12_1lin
rename b12_1grune b12_1b90

ren b12_1cdu B121
ren b12_1spd B122
ren b12_1b90 B123
ren b12_1fdp B124
ren b12_1lin B125

* Budget independent from party
replace eigenbudgetcdu = eigenbudgetcsu if eigenbudgetcdu==.
rename eigenbudgetlinke eigenbudgetlin
rename eigenbudgetgrune eigenbudgetb90

replace eigenbudgetcdu   = (eigenbudgetcdu)/1000
replace eigenbudgetspd   = (eigenbudgetspd)/1000
replace eigenbudgetb90   = (eigenbudgetb90)/1000
replace eigenbudgetfdp   = (eigenbudgetfdp)/1000
replace eigenbudgetlin   = (eigenbudgetlin)/1000

ren eigenbudgetcdu eigenbudget1
ren eigenbudgetspd eigenbudget2
ren eigenbudgetb90 eigenbudget3
ren eigenbudgetfdp eigenbudget4
ren eigenbudgetlin eigenbudget5

preserve
keep eigenbudget1 
drop if eigenbudget1==.
gen eigenc = _n
ren eigenbudget1 cdueigen
compress 
sort eigenc
save cdueigen, replace
restore

preserve
keep eigenbudget2 
drop if eigenbudget2==.
gen eigenc = _n
ren eigenbudget2 spdeigen
compress 
sort eigenc
save spdeigen, replace
restore


replace eigenbudgetpcdu = eigenbudgetpcsu if eigenbudgetpcdu==.
rename eigenbudgetplinke eigenbudgetplin
rename eigenbudgetpgrune eigenbudgetpb90

replace eigenbudgetpcdu   = (eigenbudgetpcdu)/1000
replace eigenbudgetpspd   = (eigenbudgetpspd)/1000
replace eigenbudgetpb90   = (eigenbudgetpb90)/1000
replace eigenbudgetpfdp   = (eigenbudgetpfdp)/1000
replace eigenbudgetplin   = (eigenbudgetplin)/1000

ren eigenbudgetpcdu eigenbudgetp1
ren eigenbudgetpspd eigenbudgetp2
ren eigenbudgetpb90 eigenbudgetp3
ren eigenbudgetpfdp eigenbudgetp4
ren eigenbudgetplin eigenbudgetp5

                


*Coordination: B13_1 B13_2
replace b13_1cdu = b13_1csu if b13_1cdu==.
rename b13_1linke b13_1lin
rename b13_1grune b13_1b90

replace b13_2cdu = b13_2csu if b13_2cdu==.
rename b13_2linke b13_2lin
rename b13_2grune b13_2b90

ren b13_1cdu cbund1
ren b13_1spd cbund2
ren b13_1b90 cbund3
ren b13_1fdp cbund4
ren b13_1lin cbund5

ren b13_2cdu cland1
ren b13_2spd cland2
ren b13_2b90 cland3
ren b13_2fdp cland4
ren b13_2lin cland5


* Grsse Campaign Team: B9_1 B9_2
ren b9_1cdu team1
ren b9_1spd team2
ren b9_1b90 team3
ren b9_1fdp team4
ren b9_1lin team5

ren b9_2cdu pteam1
ren b9_2spd pteam2
ren b9_2b90 pteam3
ren b9_2fdp pteam4
ren b9_2lin pteam5

*forvalues i = 1(1)5 {
*         recode team`i' 99=.
*         }


* Zeitl. Involviertheit in Wahlkampf: B1
ren b1cdu time1
ren b1spd time2
ren b1b90 time3
ren b1fdp time4
ren b1lin time5

* visits of party leaders: B14
rename b14linke b14lin
rename b14grune b14b90
replace b14cdu = b14csu if b14cdu==.

ren b14cdu visit1
ren b14spd visit2
ren b14b90 visit3
ren b14fdp visit4
ren b14lin visit5

** Links-Rechts-Position Kandidat vs Partei

rename c3linke c3lin
rename c3grune c3b90
replace c3cdu = c3csu if c3cdu==.

rename difflinke difflin
rename diffgrune diffb90
replace diffcdu = diffcsu if diffcdu==.


ren diffcdu diff1
ren diffspd diff2
ren diffb90 diff3
ren difffdp diff4
ren difflin diff5

*squared distance
gen dif21 = diff1^2
gen dif22 = diff2^2
gen dif23 = diff3^2
gen dif24 = diff4^2
gen dif25 = diff5^2

* raw difference
rename rdifflinke rdifflin
rename rdiffgrune rdiffb90
replace rdiffcdu = rdiffcsu if rdiffcdu==.

ren rdiffcdu rdiff1
ren rdiffspd rdiff2
ren rdiffb90 rdiff3
ren rdifffdp rdiff4
ren rdifflin rdiff5

*distance in % Candidate vote to WK winner
ren mcdu1 mar1
ren mspd1 mar2
ren mb901 mar3
ren mfdp1 mar4
ren mpds1 mar5


*effective distance: Candidate-party mean
rename effdilinke effdilin
rename effdigrune effdib90
replace effdicdu = effdicsu if effdicdu==.

ren effdicdu effdi1
ren effdispd effdi2
ren effdib90 effdi3
ren effdifdp effdi4
ren effdilin effdi5

*No of Candidates in electoral district
rename wknummaxlinke wknummaxlin
rename wknummaxgrune wknummaxb90
replace wknummaxcdu = wknummaxcsu if wknummaxcdu==.

ren wknummaxcdu wknummax1
ren wknummaxspd wknummax2
ren wknummaxb90 wknummax3
ren wknummaxfdp wknummax4
ren wknummaxlin wknummax5


** incumbent (mdb) vs challenger 

rename mdblinke mdblin
rename mdbgrune mdbb90
replace mdbcdu = mdbcsu if mdbcdu==.


ren mdbcdu mdb1
ren mdbspd mdb2
ren mdbb90 mdb3
ren mdbfdp mdb4
ren mdblin mdb5


save "gles1103_recode", replace

 
 
